/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: TooManyResultException.java,v 1.2 2005/05/31 14:38:19 rampil Exp $
 */
package org.logical_paradox.koike.core.search;

/**
 * 検索結果数が閾値を超えた場合に発生する例外
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.2 $
 */
public class TooManyResultException extends SearchException {
	/**
	 * コンストラクタ
	 */
	public TooManyResultException() {
	}
	/**
	 * コンストラクタ
	 * @param msg メッセージ
	 */
	public TooManyResultException(String msg) {
		super(msg);
	}
	/**
	 * コンストラクタ
	 * @param e 元になった例外
	 */
	public TooManyResultException(Exception e) {
		super(e);
	}
}
